commit:     f1a3595a143380ff2ef6f9c54f4b5f4a161b138d
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Fri Feb 26 12:20:17 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 03:06:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1a3595a

sci-libs/coinor-symphony: bump to 5.6.17, ported to EAPI 7

Has reworked old workarounds and added doc deps.

USE=examples removed, now installed unconditionally (small files).
USE=doc now generates the pdf manual.
USE=static-libs removed.

Fixed directory change for USE=doc (bug #608114).

Closes: https://bugs.gentoo.org/608114
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/coinor-symphony/Manifest                  |  1 +
 .../coinor-symphony/coinor-symphony-5.6.17.ebuild  | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-libs/coinor-symphony/Manifest 
b/sci-libs/coinor-symphony/Manifest
index 9213d2becad..0dbf8ac5248 100644
--- a/sci-libs/coinor-symphony/Manifest
+++ b/sci-libs/coinor-symphony/Manifest
@@ -1 +1,2 @@
 DIST SYMPHONY-5.5.7.tgz 7628863 BLAKE2B 
8578cc341a2114642911bff68cf260dd6c5974b70ef3deebf9f7ea51f580be809dd1224a18dbd0744e9acf3b1ce9d5bdf90a1e97b53bcd01529978a816e26c6c
 SHA512 
a3ce66b0b1373c58024ce6840277423a1a3684af8e3179a777fbb33a8d266849ae1cde694a527c3776ff67ce0a5ae3c2bfe0dc29f4e0b3ca51ddc2b299eefb24
+DIST coinor-symphony-5.6.17.tar.gz 1848015 BLAKE2B 
0e1222f51809fb836530000348351d0e2a0928ec898a11ec21d2b0cad88a2ee4a635bc91a6d92607af67cf7d44a7187683528dd2a37b288fee1b2d947058d7b1
 SHA512 
eb0022184b1d0325729bb8f5390093ff1cfdfc87edf1dfdf20e62f07830c69604ec373b69c6de13755611a8e96f79ee8d1009efde0a35c9e7c0fab6652375ff7

diff --git a/sci-libs/coinor-symphony/coinor-symphony-5.6.17.ebuild 
b/sci-libs/coinor-symphony/coinor-symphony-5.6.17.ebuild
new file mode 100644
index 00000000000..afda01465ac
--- /dev/null
+++ b/sci-libs/coinor-symphony/coinor-symphony-5.6.17.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="COIN-OR solver for mixed-integer linear programs"
+HOMEPAGE="https://projects.coin-or.org/SYMPHONY/";
+SRC_URI="https://github.com/coin-or/SYMPHONY/archive/releases/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/SYMPHONY-releases-${PV}/SYMPHONY"
+
+LICENSE="EPL-1.0"
+SLOT="0/3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc glpk test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       sci-libs/coinor-cgl:=
+       sci-libs/coinor-clp:=
+       sci-libs/coinor-dylp:=
+       sci-libs/coinor-osi:=
+       sci-libs/coinor-utils:=
+       sci-libs/coinor-vol:=
+       glpk? ( sci-mathematics/glpk:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? (
+               dev-tex/latex2html
+               dev-texlive/texlive-latexextra
+               virtual/latex-base
+       )
+       test? ( sci-libs/coinor-sample )"
+
+src_prepare() {
+       default
+       # Prevent unneeded call to pkg-config that needs ${ED}'s in path.
+       sed -i '/--libs.*addlibs.txt/d' Makefile.in || die
+
+       # Fix manual color errors.
+       sed -i 's/usenames/usenames,dvipsnames/' Doc/man.tex || die
+}
+
+src_configure() {
+       econf $(usex glpk --with-glpk-lib=-lglpk --without-glpk)
+}
+
+src_compile() {
+       default
+       if use doc; then
+               pushd Doc && pdflatex Walkthrough && pdflatex man && popd || die
+       fi
+}
+
+src_test() {
+       # Needed given "make check" is a noop and it skips the working one.
+       emake test
+}
+
+src_install() {
+       default
+       use doc && dodoc Doc/*.pdf
+
+       # Other coinor-* use lowercase e, stay in-line with them.
+       docinto examples
+       dodoc -r Examples/*
+
+       # Duplicate or irrelevant files.
+       rm -r "${ED}"/usr/share/coin/doc || die
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to